View Issue Details

IDProjectCategoryView StatusLast Update
0034203FPCCompilerpublic2019-07-05 16:17
ReporterBenito van der ZanderAssigned ToSven Barth 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.1.1Product Buildr39690 
Target VersionFixed in Version3.3.1 
Summary0034203: Internal access violation when recompiling specialization
DescriptionCompiling the attached project twice causes an access violation

The line that triggers it:

type TX = specialize THAMT<string, string, THAMTTypeInfo>;
Steps To Reproduce$ ppcx64 hamt_tests.pas
...
Linking hamt_tests
691 lines compiled, 0.3 sec
13 note(s) issued
$ ppcx64 hamt_tests.pas
...
bbhamt.pas(396,3) Error: Compilation raised exception internally
Fatal: Compilation aborted
An unhandled exception occurred at $0000000000476765:
EAccessViolation: Access violation
  $0000000000476765
Tagsgenerics
Fixed in Revision39692
FPCOldBugId
FPCTarget
Attached Files

Activities

Benito van der Zander

2018-08-30 19:44

reporter  

test.zip (5,420 bytes)

Sven Barth

2018-08-31 18:11

manager   ~0110416

Should be fixed now. Please test and close if okay.

Issue History

Date Modified Username Field Change
2018-08-30 19:44 Benito van der Zander New Issue
2018-08-30 19:44 Benito van der Zander File Added: test.zip
2018-08-31 15:03 Sven Barth Tag Attached: generic
2018-08-31 18:11 Sven Barth Fixed in Revision => 39692
2018-08-31 18:11 Sven Barth Note Added: 0110416
2018-08-31 18:11 Sven Barth Status new => resolved
2018-08-31 18:11 Sven Barth Fixed in Version => 3.3.1
2018-08-31 18:11 Sven Barth Resolution open => fixed
2018-08-31 18:11 Sven Barth Assigned To => Sven Barth
2018-09-06 14:51 Benito van der Zander Status resolved => closed
2019-07-05 16:17 Sven Barth Tag Attached: generics
2019-07-05 16:17 Sven Barth Tag Detached: generic